Scriptel ScripTouch ProScript C Library This documentation contains information about the ScripTouch ProScript C Library.

Data Fields
scriptel_hid_feature_region_common Struct Reference

This structure represents a region on the device that can be get or set. More...

`#include <scriptel-hid-reports.h>`

Collaboration diagram for scriptel_hid_feature_region_common:
[legend]

## Data Fields
unsigned char | report_id
| Report ID, should always be SCRIPTEL_FEATURE_REGION.
unsigned char | region_index
| The region index on the device.
scriptel_region_type | region_type
| The type of region this represents.
unsigned char | accepts_touch
| Whether or not this region accepts touch.
unsigned char | decode_region
| Whether or not this region gets decoded. More...
unsigned char | has_frame
| Whether or not there is a frame around the region.
unsigned char | output_to_host
| Determines if this region outputs data to the host.
unsigned char | reserved_1
| Reserved for future use.
unsigned char | reserved_2
| Reserved for future use.
unsigned char | reserved_3
| Reserved for future use.
unsigned char | reserved_4
| Reserved for future use.
unsigned char | reserved_5
| Reserved for future use.
unsigned char | reserved_6
| Reserved for future use.
unsigned char | reserved_7
| Reserved for future use.
unsigned char | reserved_8
| Reserved for future use.
unsigned char | reserved_9
| Reserved for future use.
unsigned short | x1
| X minimum of the region.
unsigned short | x2
| X maximum of the region.
unsigned short | y1
| Y minimum of the region.
unsigned short | y2
| Y maximum of the region.
scriptel_color | foreground_color
| Foreground color of the region.
scriptel_color | background_color
| Background color of the region.

## Detailed Description

This structure represents a region on the device that can be get or set.

Getting a region is based off the region index.

## Field Documentation

## ◆ decode_region

unsigned char decode_region

Whether or not this region gets decoded.

Essentially if true this means that coordinates can be returned for this region. Otherwise coordinates will skip over a region even if the pen is in that region and a parent region will be returned instead.

Examples
  example-screen-editing.c.

The documentation for this struct was generated from the following file:

- src/scriptel-hid-reports.h